<?php
/* TVapi|9 */
session_start();
set_time_limit(0);

if (!isset($_SESSION['admin_user_id']) || !$_SESSION['admin_user_id'] || !isset($_POST['showid']) || !isset($_POST['season']) || !isset($_POST['episode'])){
    print(json_encode(array("status" => 0)));
    exit();
}

extract($_POST);

require_once("../../vars.php");
require_once("../../includes/curl.php");
require_once("../../includes/show.class.php");
require_once("../../includes/misc.class.php");
require_once("../../includes/tvapi.class.php");

$curl = new Curl();
$show = new Show();
$misc = new Misc();
$tvapi = new TVapi();

$embed_languages = $misc->getEmbedLanguages();
$embed_languages = array_keys($embed_languages);
$embed_languages = implode(",",$embed_languages);

$ret = array();

$show_data = $show->getShow($showid,false,"en");
if (!empty($show_data)){
    $imdb_id = $show_data['imdb_id'];
    if (trim($imdb_id)){
        $embeds = $tvapi->getEpisodeEmbeds($imdb_id, $season, $episode, $embed_languages);
        if ($embeds && count($embeds)){
            $ret['status'] = 1;
            $ret['embeds'] = $embeds;
        } else {
            $ret['status'] = 0;
        }
    } else {
        $ret['status'] = 0;    
    }
    
} else {
    $ret['status'] = 0;
}
print(json_encode($ret));