<?php
if (!defined("IN_SCRIPT")){
    print("<script> window.location = 'index.php'; </script>");
    exit();
}
?>

<nav>
    <div id="jCrumbs" class="breadCrumb module">
        <ul>
            <li>
                <a href="index.php"><i class="icon-home"></i></a>
            </li>
            <li>
                <a href="index.php?menu=plugins">Plugins</a>
            </li>
            <li>
                AutoEmbeds
            </li>
            <li>
                Configuration
            </li>
        </ul>
    </div>
</nav>

<?php 


if (isset($_POST['auto_update']) && $_POST['auto_update']){
    
    if (isset($_POST['auto_license_key']) && $_POST['auto_license_key']){
        $license_error = doCheckLicense($_POST['auto_license_key']);
        if ($license_error == "OK"){
        	$license_error = false;
        	$settings->addSetting("auto_license_key",$_POST['auto_license_key']);
        } else {
        	$errors[1] = $license_error;
        }
    }
    
    if (isset($_POST['auto_only_new']) && $_POST['auto_only_new']){
        $auto_only_new = 1;
    } else {
        $auto_only_new = 0;
    }
    
    $settings->addSetting("auto_only_new", $auto_only_new);
}

$auto_license_key = $settings->getSetting("auto_license_key");
if (empty($auto_license_key)){
    $auto_license_key = '';
}

$auto_only_new = $settings->getSetting("auto_only_new");
if (empty($auto_only_new)){
    $auto_only_new = 0;
}


?>

<div class="row-fluid">
    <div class="span12">
        <h3 class="heading">AutoEmbeds settings</h3>
        <?php if (!$auto_license_key || empty($auto_license_key)){ ?>
            <div class="alert alert-error">
                You haven't entered your AutoEmbeds license key yet. The plugin won't work until you configure it properly
            </div>
        <?php } ?>
    
        <form action="index.php" method="post" class="form-horizontal well">
            <input type="hidden" name="menu" value="plugin" />
            <input type="hidden" name="plugin" value="autoembeds" />
            <input type="hidden" name="plugin_menu" value="config" />
            
            <fieldset>
                <div class="control-group<?php if (isset($errors[1])){ print(" error"); } ?>">
                    <label class="control-label span3">License key</label>
                    <div class="controls span9">
                        <input type="text" name="auto_license_key" id="auto_license_key" value="<?php if (isset($auto_license_key) && $auto_license_key){ print($auto_license_key); } elseif (isset($_POST['auto_license_key'])) print($_POST['auto_license_key']); ?>" class="span12" />
                        <?php if (isset($errors[1])){ ?>
                            <span class="help-inline"><?php print($errors[1]); ?></span>
                        <?php } ?>
                    </div>
                </div>
                
                <div class="control-group">
                    <label class="control-label span3">Only grab the newest season</label>
                    <div class="controls span9">
                        <input type="checkbox" class="switch" name="auto_only_new" <?php if ($auto_only_new) print("checked='checked'"); ?> />
                    </div>
                </div>
                
                <div class="control-group">
                    <label class="control-label span3">&nbsp;</label>
                    <div class="controls span9">
                        <input type="submit" class="btn btn-primary" value="Update configuration" name="auto_update" />
                    </div>
                </div>
            </fieldset>
        </form>
    </div>
</div>

<div class="row-fluid">
    <div class="span12">
        <h3 class="heading">Set up your cronjob</h3>
        
        <form action="index.php" method="post" class="form-horizontal well">
            <p>AutoEmbeds can only be run from the command line. You can set up a cronjob which runs every day and grabs all the missing TV episodes for you automatically. In order to do this you have to add the following line to your cronjobs:
            <br /><br /><br />
            <fieldset>
                <div class="control-group">
                    <label class="control-label span3">Cronjob command:</label>
                    <div class="controls span9">
                        <input type="text" value="0 2 * * *     cd <?php print($basepath); ?>/plugins/autoembeds/ && php cron.php" class="span12" />
                    </div>
                </div>
            </fieldset>
        </form>
    </div>
</div>
